Status: Closed

Priority: Low

Assignee:

Category: Web Services clients/WMS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 11649

Description

Hello all !

We have small problem, with our WMS service and qGis.

We expose some data in WMS, but we have a customized reference system,

so we don't have a standard EPSG number.

We expose, then, these data with the "EPSG: NONE" declaration.

We are aware that the OGC directive on the WMS 1.1.1 defines only the

declaration "SRS=NONE", but in the Esri products (WMS server and

client) define the SRS="EPSG:NONE" declaration (for the 9.2 version)

and SRS="EPSG:0" for the 9.3 version.

For example, if I call a WMS with this layer definition in his

Capabilities file:

<Layer queryable="0">

<Name>158_UTMA_ORTOAGEA2008</Name>

<Title>158_UTMA_ORTOAGEA2008</Title>

<SRS>EPSG:NONE</SRS>

<LatLonBoundingBox minx="9.1600714390999993" miny="43.672498615800002" 

maxx="12.9109804049" maxy="45.156071086600001" />

<BoundingBox SRS="EPSG:NONE" minx="512973.566244238" miny="842599.75" 

maxx="807851.62554267596" maxy="1000499.3733534738" />

<Abstract>158_UTMA_ORTOAGEA2008 (Cellsize=0.5, [[BitsPerPixel]]=8)</Abstract>

</Layer>

then qGis calls this layer with this request:

?REQUEST=GetMap&SERVICE=WMS&VERSION=1.1.1&LAYERS=158_UTMA_ORTOAGEA2008&STYLES=&BGCOLOR=0xFFFF

F&TRANSPARENT=TRUE&SRS=CRS:84&BBOX=9.1600714390999993,43.672498615800002,12.9109804049,45.156071086600001&FORMAT=image/jpeg&WIDTH=640&HEIGHT=373

1&FORMAT=image/jpeg&WIDTH=640&HEIGHT=373

It seems that qGis is not recognizing the EPSG:NONE, while with others

WMS clients (ArcMap, Gaia, uDig, [[GvSig]]) this layer is requested

calling the EPSG:NONE and it is visualized correctly.

Would be nice that also qGis keeps the SRS definition in the

Capabilities file and calls the request [[GetMap]] with that SRS.
Thanks,

francesco

History

#1 - 2009-08-05 01:39 AM - Giovanni Manghi

Hi,

what is the status of this ticket? still a issue with the latest versions of qgis?

Do you have a public url that can be used to make further tests?

#2 - 2010-06-11 10:17 PM - Paolo Cavallini

- Status changed from Open to Closed

- Resolution set to invalid

Closing it because of lack of user feedback. Please reopen if appropriate (especially if you can provide a sample WMS)

#3 - 2010-10-26 01:40 AM - Jürgen Fischer

- Status changed from Closed to Feedback

- Resolution deleted (invalid)

see also #3156

#4 - 2011-12-16 01:58 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#5 - 2012-04-16 06:22 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

- Target version changed from Version 1.7.4 to Version 1.8.0

#6 - 2012-09-04 12:04 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#7 - 2012-10-05 07:18 AM - Giovanni Manghi

- Pull Request or Patch supplied set to No

- Assignee deleted (nobody -)

- Operating System deleted (All)

- Status info deleted (0)

#8 - 2014-06-28 07:37 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#9 - 2014-10-12 12:33 PM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to duplicate
seems the same issue as #4946

2024-04-27 3/3


